/*{ cm3_basic.h ***********************************************
 *
 * TheToolChain.com
 *
 * Written by Gregor Rebel, Sascha Poggemann 2010-2012
 *
 * Basic datatypes, enums and functions additional to cm3_basic.h
 * 
}*/

#ifndef EM357_BASIC_H
#define EM357_BASIC_H

//{ includes *************************************************************

#include "cm3_basic.h"
#include "hal/micro/cortexm3/compiler/gnu.h"
#include "hal/micro/cortexm3/stm32w108/board.h"
#include "hal/hal.h"

//} includes *************************************************************
//{ types ****************************************************************

// define basic datatypes required to include HAL-Library
typedef u32_t uint32_t;
typedef u16_t uint16_t;
typedef  u8_t uint8_t;
typedef s32_t int32_t;
typedef s16_t int16_t;
typedef  s8_t int8_t;
//X typedef BOOL boolean;
//X typedef  u8_t int8u;
//X typedef u16_t int16u;
//X typedef u32_t int32u;

//} types ****************************************************************
//{ includes2 ************************************************************

#include "regs.h"
#include "stm32w108_type.h"
#include "micro-common.h"

//} includes2 ************************************************************
//{ Function prototypes **************************************************

/* basic hardware initialization
 */
void em357_hardware_init();

//} Function prototypes **************************************************

#endif
