/* Sync word qualifier mode = 30/32 sync word bits detected */
/* CRC autoflush = false */
/* Channel spacing = 199.951172 */
/* Data format = Normal mode */
/* Data rate = 249.939 */
/* RX filter BW = 541.666667 */
/* PA ramping = false */
/* Preamble count = 4 */
/* Whitening = false */
/* Address config = No address check */
/* Carrier frequency = 867.999939 */
/* Device address = 0 */
/* TX power = 0 */
/* Manchester enable = false */
/* CRC enable = true */
/* Deviation = 126.953125 */
/* Packet length mode = Variable packet length mode. Packet length configured by the first byte after sync word */
/* Packet length = 255 */
/* Modulation format = GFSK */
/* Base frequency = 867.999939 */
/* Modulated = true */
/* Channel number = 0 */
/***************************************************************
 *  SmartRF Studio(tm) Export
 *
 *  Radio register settings specifed with C-code
 *  compatible #define statements.
 *
 *  RF device: CC1101
 *
 ***************************************************************/

#ifndef SMARTRF_CC1101_H
#define SMARTRF_CC1101_H

#define SMARTRF_RADIO_CC1101
#define SMARTRF_SETTING_IOCFG2           0x01
#define SMARTRF_SETTING_IOCFG1           0x2E
#define SMARTRF_SETTING_IOCFG0           0x0A
#define SMARTRF_SETTING_FIFOTHR          0x07
#define SMARTRF_SETTING_SYNC1            0xD3
#define SMARTRF_SETTING_SYNC0            0x91
#define SMARTRF_SETTING_PKTLEN           0xFF
#define SMARTRF_SETTING_PKTCTRL1         0x0f
#define SMARTRF_SETTING_PKTCTRL0         0x05
#define SMARTRF_SETTING_ADDR             0x00
#define SMARTRF_SETTING_CHANNR           0x00
#define SMARTRF_SETTING_FSCTRL1          0x12
#define SMARTRF_SETTING_FSCTRL0          0x00
#define SMARTRF_SETTING_FREQ2            0x21
#define SMARTRF_SETTING_FREQ1            0x62
#define SMARTRF_SETTING_FREQ0            0x76
#define SMARTRF_SETTING_MDMCFG4          0x2D
#define SMARTRF_SETTING_MDMCFG3          0x3B
#define SMARTRF_SETTING_MDMCFG2          0x93
#define SMARTRF_SETTING_MDMCFG1          0x22
#define SMARTRF_SETTING_MDMCFG0          0xF8
#define SMARTRF_SETTING_DEVIATN          0x62
#define SMARTRF_SETTING_MCSM2            0x06//0x07
#define SMARTRF_SETTING_MCSM1            0x30//0x30
#define SMARTRF_SETTING_MCSM0            0x18
#define SMARTRF_SETTING_FOCCFG           0x1D
#define SMARTRF_SETTING_BSCFG            0x1C
#define SMARTRF_SETTING_AGCCTRL2         0xC7
#define SMARTRF_SETTING_AGCCTRL1         0x00
#define SMARTRF_SETTING_AGCCTRL0         0xB0
#define SMARTRF_SETTING_WOREVT1          0x87
#define SMARTRF_SETTING_WOREVT0          0x6B
#define SMARTRF_SETTING_WORCTRL          0xFB
#define SMARTRF_SETTING_FREND1           0xB6
#define SMARTRF_SETTING_FREND0           0x10
#define SMARTRF_SETTING_FSCAL3           0xEA
#define SMARTRF_SETTING_FSCAL2           0x2A
#define SMARTRF_SETTING_FSCAL1           0x00
#define SMARTRF_SETTING_FSCAL0           0x1F
#define SMARTRF_SETTING_RCCTRL1          0x41
#define SMARTRF_SETTING_RCCTRL0          0x00
#define SMARTRF_SETTING_FSTEST           0x59
#define SMARTRF_SETTING_PTEST            0x7F
#define SMARTRF_SETTING_AGCTEST          0x3F
#define SMARTRF_SETTING_TEST2            0x88
#define SMARTRF_SETTING_TEST1            0x31
#define SMARTRF_SETTING_TEST0            0x09
#define SMARTRF_SETTING_PARTNUM          0x00
#define SMARTRF_SETTING_VERSION          0x04
#define SMARTRF_SETTING_FREQEST          0x00
#define SMARTRF_SETTING_LQI              0x00
#define SMARTRF_SETTING_RSSI             0x00
#define SMARTRF_SETTING_MARCSTATE        0x00
#define SMARTRF_SETTING_WORTIME1         0x00
#define SMARTRF_SETTING_WORTIME0         0x00
#define SMARTRF_SETTING_PKTSTATUS        0x00
#define SMARTRF_SETTING_VCO_VC_DAC       0x00
#define SMARTRF_SETTING_TXBYTES          0x00
#define SMARTRF_SETTING_RXBYTES          0x00
#define SMARTRF_SETTING_RCCTRL1_STATUS   0x00
#define SMARTRF_SETTING_RCCTRL0_STATUS   0x00

#endif
