/*{ stm32_io.c ***********************************************
 
 * Written by Gregor Rebel 2010-2012
 *
 * Basic set of helper functions.
 * 
}*/
#error "stm32_io.c - This file is DEPRECATED: the functions here are about to be moved into other files!"
#include "stm32_io.h"

     u16_t* arraySet(u16_t* Array, u16_t Value, u32_t Amount) {                // fill 16-bit array with given value                                      
    u16_t* Writer16=Array;
    
    while (Amount-- > 0) {
      *Writer16++=Value;
    }
    
    return Array;
}
      void* myMalloc(size_t Size) {                                            // allocates zeroed memory
    
    void* Buffer=pvPortMalloc(Size);
    Assert(Buffer != 0, ec_Malloc);
    memset(Buffer, 0, Size);
    
    return Buffer;
}
      s16_t sLimit(s16_t Value, s16_t Min, s16_t Max) {                        // sLimits a value to given minimum and maximum 
  if (Value < Min) Value=Min;
  if (Value > Max) Value=Max;
  
  return Value;
}
      u16_t toggleValue(u16_t Value, u16_t Max, u16_t Min) {                   // returns Max if Value tends to be Min, Min otherwise
    if (Value == Max)  return Min;
    if (Value == Min)  return Max;
    
    // Value is neither Min nor Max: see to which it tends to
    u16_t Dist2Min=abs(Value - Min);
    u16_t Dist2Max=abs(Max - Value);
    
    if (Dist2Min < Dist2Max)  return Max;
    return Min;
}
      u16_t uLimit(u16_t Value, u16_t Min, u16_t Max) {                        // sLimits a value to given minimum and maximum 
  if (Value < Min) Value=Min;
  if (Value > Max) Value=Max;
  
  return Value;
}
       bool circa(u32_t A, u32_t B, u8_t Distance) {                           // checks if two values are nearly the same
/* checks if B is within [A-Distance..A+Distance]
 *
 * A         first value
 * B         second values
 * Distance  distance around A
 *
 * return: TRUE=B is within given distance around A.
 */
    u32_t C=0xffffffff;
    if (C - Distance > A)  C=A + Distance;
    if (C < B)  return FALSE;  // B < A - Distance

    C=0;
    if (Distance < A)  C=A - Distance;
    if (C > B)  return FALSE;  // B > A + Distance
      
    return TRUE;               // A - Distance <= B <= A + Distance
}
