/*{ ttc_random.c ***********************************************
 
 * Written by Gregor Rebel 2010-2011
 *
 * Platform independent Random number generation
 * 
}*/
#include "ttc_random.h"

u32_t ttc_rand(void) {
#ifdef TARGET_ARCHITECTURE_STM32
    return stm32_rand();
#endif

  return 0; // no architecture driver available
}
void ttc_srand(u32_t Seed) {
#ifdef TARGET_ARCHITECTURE_STM32
    stm32_srand(Seed);
#endif
}
