/*{ Template_FreeRTOS::.h ************************************************
 
  Example code for FreeRTOS + LCD display on Olimex prototype board STM32-LCD.
  written by Gregor Rebel 2011
 
}*/
#ifndef EXTENSION_500_ttc_gfx
#error EXTENSION_500_ttc_gfx must be defined!
#endif

//{ Includes *************************************************************

#include "ttc_basic.h"
#include "ttc_task.h"
#include "ttc_string.h"
#include "ttc_gfx.h"

//} Includes
//{ Defines/ TypeDefs ****************************************************

#ifndef EXTENSION_500_ttc_gfx
  #error Missing EXTENSION_500_ttc_gfx !
#endif

//} Defines
//{ Structures/ Enums ****************************************************


//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

// basic hardware intialization
void lcd_printf_init();

// main entry: initializes hardware + spawns all threads
// returns immediately
void lcd_start_printf();

// main task controlling LCD-panel
void task_LCD(void *pvParameters);

//} Function prototypes
