#!/bin/bash
#
#          ToolChain_STM32
#
# (c) Gregor Rebel 2010-2012

killall openocd
killall arm-none-eabi-gdb
source configs/interface.cfg
source ./_/openocd.sh "-f interface/$Interface -f target/stm32f1x.cfg -c init -c reset arm-none-eabi-gdb" &
sleep 1
IsRunning=`pgrep openocd`
if [ "$IsRunning" == "" ]; then
  echo ""
  echo "$0 - ERROR: Cannot start openocd as GDB-server!"
  exit 10
else
  echo "$0 - GDB-Server successfully started. Connect your arm-none-eabi-gdb to 127.0.0.1:3333"
fi

