/*{ cm3_basic.h ***********************************************
 *
 * TheToolChain.com
 *
 * Written by Gregor Rebel 2010-2012
 *
 * Basic datatypes, enums and functions
 * 
}*/

#ifndef CM3_BASIC_H
#define CM3_BASIC_H


typedef unsigned char        u8_t;
typedef unsigned short int  u16_t;
typedef unsigned long       u32_t;
typedef signed char          s8_t;
typedef signed short int    s16_t;
typedef signed int          s32_t;
typedef enum { FALSE=0, TRUE } BOOL;
typedef BOOL bool;

#define  Base_t u32_t         // basic (native) datatype of STM32 architecture
#define  Base_signed_t s32_t  // signed basic (native) datatype

#endif
