/*{ em357_basic.h ***********************************************
 *
 * TheToolChain.com
 *
 * Written by Gregor Rebel, Sascha Poggemann 2010-2012
 *
 * Basic datatypes, enums and functions additional to cm3_basic.h
 * 
}*/

#include "em357_basic.h"

extern void ttc_string_printf(const char *Format, ...);

void em357_hardware_init() {

    halInit(); // init EM357 hardware abstraction library

}
void stSerialPrintf(const char *Format, ...) {
    va_list Args;
    va_start(Args, Format);
    ttc_string_printf(Format, Args);
}
