/*{ stm32_random.c ***********************************************
 
 * Written by Gregor Rebel 2010-2011
 *
 * Random number generation
 * Platform driver for 32-bit ARM architecture
 * 
}*/
#include "stm32_random.h"

u32_t sr_Seed = 1;

u16_t stm32_rand(void) {
  sr_Seed = sr_Seed * 1103515245 + 12345;
  return (sr_Seed>>16) & RAND_MAX;
}
void stm32_srand(u32_t Seed) {
  sr_Seed = Seed;
}
