/*{ stm32_Registers.c ************************************************
 
 Structured pointers to registers of ARM CortexM3 microcontrollers.

 written by Gregor Rebel 2011-2011

}*/

#include "stm32_registers.h"

//{ Global pointers to hardware registers

RCC_APB1ENR_t* register_stm32_RCC_APB1ENR = (RCC_APB1ENR_t*) 0x1C;
RCC_APB2ENR_t* register_stm32_RCC_APB2ENR = (RCC_APB2ENR_t*) 0x18;
TIMER_t*       register_stm32_TIMER1      = (TIMER_t*)       TIM1;
TIMER_t*       register_stm32_TIMER2      = (TIMER_t*)       TIM2;
TIMER_t*       register_stm32_TIMER3      = (TIMER_t*)       TIM3;
TIMER_t*       register_stm32_TIMER4      = (TIMER_t*)       TIM4;
USART_t*       register_stm32_USART1      = (USART_t*)       USART1;
USART_t*       register_stm32_USART2      = (USART_t*)       USART2;
USART_t*       register_stm32_USART3      = (USART_t*)       USART3;
USART_t*       register_stm32_UART4       = (USART_t*)       UART4;
USART_t*       register_stm32_UART5       = (USART_t*)       UART5;
SPI_t*         register_stm32_SPI1        = (SPI_t*)         SPI1;
SPI_t*         register_stm32_SPI2        = (SPI_t*)         SPI2;
SPI_t*         register_stm32_SPI3        = (SPI_t*)         SPI3;
I2C_t*         register_stm32_I2C1        = (I2C_t*)         I2C1;
I2C_t*         register_stm32_I2C2        = (I2C_t*)         I2C2;
GPIOx_t*       register_stm32_GPIOA       = (GPIOx_t*)       GPIOA;
GPIOx_t*       register_stm32_GPIOB       = (GPIOx_t*)       GPIOB;
GPIOx_t*       register_stm32_GPIOC       = (GPIOx_t*)       GPIOC;
GPIOx_t*       register_stm32_GPIOD       = (GPIOx_t*)       GPIOD;
GPIOx_t*       register_stm32_GPIOE       = (GPIOx_t*)       GPIOE;
GPIOx_t*       register_stm32_GPIOF       = (GPIOx_t*)       GPIOF;
GPIOx_t*       register_stm32_GPIOG       = (GPIOx_t*)       GPIOG;
AFIO_t*        register_stm32_AFIO        = (AFIO_t*)        AFIO;
EXTI_t*        register_stm32_EXTI        = (EXTI_t*)        EXTI;

//}

