/*{ ttc_basic.c ***********************************************
 *
 * TheToolChain.com
 *
 * Written by Gregor Rebel 2010-2011
 *
 * Basic set of helper functions.
 * 
}*/
#include "ttc_basic.h"

void ttc_hardware_init() {

#ifdef EXTENSION_250_stm_std_peripherals
    stm32_hardware_init();
#endif
#ifdef TARGET_ARCHITECTURE_EM357
    em357_hardware_init();
#endif
}
bool Assert_Halt_EC(volatile ErrorCode_e ErrorCode) {  // block endless in case Condition is false
    volatile bool HoldOnAssert=TRUE;

    while (HoldOnAssert)
        ErrorCode=ErrorCode; // <-- breakpoint here!

    return TRUE; // Only reachable if HoldOnAssert==FALSE
}
void Assert_Halt_NULL() {
    Assert_Halt_EC(ec_NULL);
}
void ttc_testpoint() {
    u8_t Foo = 1;
    (void) Foo; // break here
}
