#!/bin/bash
#
#  Install script for ST Stdandard Peripherals Library
#  Script written by Gregor Rebel 2010-2011.
# 
#  Feel free do distribute and change to your own needs!
#
# Tested successfully on:
# Ubuntu 10.04 Netbook Edition x86
# KUbuntu 11.04 x86
# openSuSE 11.4 x86
# XUbuntu 11.10 x64

source scripts/installFuncs.sh

if [ "$USER" == "root" ]; then
  echo "$0: ERROR this script should not been run as user root!"
  exit 10
fi

INSTALLPATH="../Documentation"
dir "$INSTALLPATH"
cd "$INSTALLPATH"

#{ IMPLEMENT YOUR INSTALL SCRIPT BELOW --------------------------------------------

echo "installing in $INSTALLPATH ..."
ERROR=""

if [ ! -e OK.Docs ]; then #{

  Get_Fails=""
  dir Compiler/
  getFile http://home.comcast.net/~mcatudal/index_fichiers/ CrossDevHowto_STM32_Mandriva.pdf HowTo_Using_Open_Source_Tools_for_STM32_under_Linux.pdf Compiler/
  if [ "$Get_Fails" == "" ]; then
    touch OK.Docs
  else
    echo "$0 - ERROR: missing files: $Get_Fails"
  fi
fi #}
if [ -e OK.Docs ]; then
  echo "Installed successfully: $INSTALLPATH"
fi

#} IMPLEMENT YOUR INSTALL SCRIPT ABOVE -----------------------------------------------

exit 0
